mybatis:
  type-aliases-package: com.ho.filecenter.entity
  mapper-locations: classpath:mapper/*.xml
  configuration:
    #驼峰
    mapUnderscoreToCamelCase: true
  #禁止servlet懒加载
  mvc:
    servlet:
      load-on-startup: 1

#ribbon的超时时间
ribbon:
  ReadTimeout: 10000
  ConnectTimeout: 10000

#天气路径
weather:
  path: https://api.caiyunapp.com/v2.6
  token: Qc9CsG4NkKY8XxyZ
  after: /daily?dailysteps=1

#Logging
logging:
  config: classpath:logback.xml
  level:
    com.ho.filecenter.mapper: debug

#文件下发路径
fileTransfer:
  directionDirectory: /semp1000/semp

#minio配置属性
minio:
  accessKey: minioadmin
  secretKey: smArt{}tH81/
  endpoint: http://123.60.162.194:9000


  #173redeis密码
openRedis:
  host: 124.70.135.173
  port: 6379
  pass: rD?vL&/26H

  #183redeis密码
openTestRedis:
  host: 192.168.1.183
  port: 6379
  pass: 123456

  #移动流量监控Api调用参数
mobile:
  appId: C5010250A25040653935
  password: KI8825P@KTbo
  ipAndPort: https://api.iot.10086.cn
  version: /v5

  #电信流量监控Api调用参数
telecom:
  keyNew: 5ec916b9c72fae4d
  url: http://global.anhuiyk.cn:8006/m2m_api/v2/batch/queryFlow/
  appId: HZCNNJSZJSYXGS1365@2024
  pwd: 8b05e9f4a704ba62


topic:
  cloudPlanRequest: +/cloud/+/+/request
  edgePlanResponse: +/device/+/+/response
  cloudCurveRequest: +/cloud/+/curve/request
  edgeCurveResponse: +/device/+/curve/response
  cloudDispatchRequest: +/cloud/+/dispatch/request
  edgeDispatchResponse: +/device/+/dispatch/response

#文件和命令下发等默认逻辑实现的开关
switch:
  #文件默认逻辑的开关 true 为打开  ,false为关闭
  fileDefaultLogic: true
  #命令下发默认逻辑的开关 true 为打开  ,false为关闭
  orderSendDefaultLogic: true

#mqtt接外部数据使用
mqtt1:
  url: tcp://1.95.131.171:1883
  userName: root
  passWord: zzkj@688737
  timeout: 5000
  keepAlive: 60